# Uses of Interface
com.sun.source.tree.DefaultCaseLabelTree

Packages that use DefaultCaseLabelTreePREVIEW
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DefaultCaseLabelTreePREVIEW in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type DefaultCaseLabelTreePREVIEW
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitDefaultCaseLabel(DefaultCaseLabelTreePREVIEW node, P p)`
Preview.
Visits a DefaultCaseLabelTree node.

## Uses of DefaultCaseLabelTreePREVIEW in com.sun.source.util

Methods in com.sun.source.util with parameters of type DefaultCaseLabelTreePREVIEW
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitDefaultCaseLabel(DefaultCaseLabelTreePREVIEW node, P p)`
Preview.
Visits a DefaultCaseLabelTree node.
`R`
TreeScanner.`visitDefaultCaseLabel(DefaultCaseLabelTreePREVIEW node, P p)`
Preview.
Visits a DefaultCaseLabelTree node.